package org.tonylin.util.exec;

public class AttemptRetryablePolicy implements IRetryablePolicy {

	private int mAttempt = 3;
	private int mCurrentTimes = 0;
	
	public AttemptRetryablePolicy(){
		
	}
	
	public AttemptRetryablePolicy(int aAttempt){
		mAttempt = aAttempt;
	}
	
	@Override
	public boolean needToRetry(Object data) {
		boolean needRetry = mCurrentTimes < mAttempt;
		if( needRetry )
			mCurrentTimes++;
		return needRetry;
	}

}
